image: haskell:8.10.3


stages:
  - lint
  - build
  - test


.cabal-cache:
  cache:
    key: "$CI_COMMIT_REF_SLUG"
    paths:
      - dist-newstyle/
      - cabal-cache
  before_script:
    - mv cabal-cache /root/.cabal || true
    - cabal new-update
  after_script:
    - mv /root/.cabal cabal-cache


lint:
  extends:
    - .cabal-cache
  stage: lint
  script:
    - cabal new-install hlint-3.3.1
    - ./lint.sh


build-myott:
  extends:
    - .cabal-cache
  stage: build
  script:
    - cabal new-build


test-myott-e2e:
  extends:
    - .cabal-cache
  stage: test
  script:
    - ./test.sh
